org.apache.tomcat.websocket.server

## Class WsSci

- java.lang.Object
- - org.apache.tomcat.websocket.server.WsSci

- All Implemented Interfaces:
    ServletContainerInitializer

      public class WsSci
      extends Object
      implements ServletContainerInitializer

  Registers an interest in any class that is annotated with `ServerEndpoint` so that Endpoint can be published via the WebSocket server.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WsSci()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onStartup(Set<Class<?>> clazzes, ServletContext ctx)` Receives notification during startup of a web application of the classes within the web application that matched the criteria defined via the `HandlesTypes` annotation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WsSci

          public WsSci()

  - ### Method Detail

    - #### onStartup

          public void onStartup(Set<Class<?>> clazzes,
                                ServletContext ctx)
                         throws ServletException

      Description copied from interface: `javax.servlet.ServletContainerInitializer`
      Receives notification during startup of a web application of the classes within the web application that matched the criteria defined via the `HandlesTypes` annotation.
      Specified by:
        `onStartup` in interface `ServletContainerInitializer`
      Parameters:
        `clazzes` - The (possibly null) set of classes that met the specified criteria
        `ctx` - The ServletContext of the web application in which the classes were discovered
      Throws:
        `ServletException` - If an error occurs

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.